Module | Sequel::SQL::QualifyingMethods
In: | lib/sequel/sql.rb

Includes a `qualify` method that created `QualifiedIdentifier`s, used for qualifying column names with a table or table names with a schema.

### Methods

qualify

### Public Instance methods

qualify(qualifier)

Qualify the receiver with the given `qualifier` (table for column/schema for table).

      :column.qualify(:table) # "table"."column"
      :table.qualify(:schema) # "schema"."table"
      :column.qualify(:table).qualify(:schema) # "schema"."table"."column"

[Source]

         # File lib/sequel/sql.rb, line 453
    453:       def qualify(qualifier)
    454:         QualifiedIdentifier.new(qualifier, self)
    455:       end

[Validate]